> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Receipt



## OpenAPI

````yaml /openapi.json get /api/v1/bills/records/receipt/{transactionId}
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/bills/records/receipt/{transactionId}:
    get:
      tags:
        - Bill | Records
      summary: Generate Receipt
      operationId: BillHistoryController_generateReceipt
      parameters:
        - name: transactionId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: JSON/Metadata for receipt generation.
      security:
        - bearer: []
        - api-key: []
components:
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````